---
categories: web debian upgrade
title: Howto sources.list
...

Nous conseillons d’utiliser les `sources.list` suivants en fonction des
versions majeures de Debian.
Assurez vous d’avoir les [clefs PGP](#clefs-pgp) associées aux dépôts
externes ([Evolix](#clef-pgp-pour-evolix),
[Freexian](#clef-pgp-pour-freexian), etc.)

## Bookworm

~~~
# cat /etc/apt/sources.list
# Empty file, we moved to deb822 format
# https://manpages.debian.org/bookworm/apt/sources.list.5.en.html#DEB822-STYLE_FORMAT

# cat /etc/apt/sources.list.d/system.sources
Types: deb
URIs: https://mirror.evolix.org/debian/
Suites: bookworm bookworm-updates
Components: main

# cat /etc/apt/sources.list.d/security.sources
Types: deb
URIs: https://security.debian.org/debian-security
Suites: bookworm-security
Components: main

# cat /etc/apt/sources.list.d/evolix_public.sources
Types: deb
URIs: https://pub.evolix.org/evolix
Suites: bookworm
Components: main
Signed-by: /etc/apt/keyrings/pub_evolix.asc
~~~

## Bullseye

~~~
# cat /etc/apt/sources.list
deb http://mirror.evolix.org/debian bullseye main
deb http://mirror.evolix.org/debian bullseye-updates main
deb http://security.debian.org/debian-security bullseye-security main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.org/evolix bullseye main
~~~

## Buster

~~~
# cat /etc/apt/sources.list
deb http://mirror.evolix.org/debian buster main
deb http://mirror.evolix.org/debian buster-updates main
deb http://security.debian.org/debian-security buster/updates main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.org/evolix buster main
~~~

## Stretch

~~~
# cat /etc/apt/sources.list
deb http://archive.debian.org/debian stretch main
deb http://archive.debian.org/debian-security stretch/updates main
deb http://elts.evolix.org/extended-lts stretch-lts main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.org/evolix stretch main
~~~

## Jessie

*Remarque* : les deux premiers dépôts ont été commentés car la clef PGP utilisée pour signer ces dépôt est maintenant expirée. Les paquets fournis par ces dépôts le sont aussi
 par la suite `jessie` du (miroir du) dépôt de Freexian.

~~~
# cat /etc/apt/sources.list
# deb http://archive.debian.org/debian jessie main
# deb http://archive.debian.org/debian-security jessie/updates main
deb http://elts.evolix.org/extended-lts jessie main
deb http://elts.evolix.org/extended-lts jessie-lts main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.net/ jessie/
~~~

## Wheezy

~~~
# cat /etc/apt/sources.list
deb http://archive.debian.org/debian wheezy main
deb http://archive.debian.org/debian-security wheezy/updates main
deb http://deb.freexian.com/extended-lts wheezy-lts main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.net/ wheezy/
~~~

## Squeeze

~~~
# cat /etc/apt/sources.list
deb http://archive.debian.org/debian sqeeze main
deb http://archive.debian.org/debian-security squeeze/updates main
deb http://deb.freexian.com/extended-lts squeeze-lts main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.net/ squeeze/
~~~

## Clefs PGP

### Clef PGP pour Evolix

#### pub.evolix.org

~~~
# wget https://pub.evolix.org/evolix/pub.asc -O /etc/apt/trusted.gpg.d/pub_evolix.asc
# chmod 644 /etc/apt/trusted.gpg.d/pub_evolix.asc
~~~

#### pub.evolix.net

~~~
# cd /etc/apt/trusted.gpg.d
# wget 'https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x0c016d3bd1195d30105837cc44975278b8612b5d' -O reg.asc
# chmod 644 reg.asc
~~~

### Clef PGP pour Freexian

~~~
# wget https://deb.freexian.com/extended-lts/archive-key.gpg -O /etc/apt/trusted.gpg.d/freexian-archive-extended-lts.gpg
# chmod 644 /etc/apt/trusted.gpg.d/freexian-archive-extended-lts.gpg
~~~

