---
title: Howto Matomo
categories: web webapp
...

* Documentation : <https://matomo.org/faq/on-premise/matomo-requirements/>

Matomo est une application web affichant des statistiques de consultation de pages web tout en protégeant les données et la vie privée des internautes.


## Pré-requis

Il y a besoin de ces pré-requis pour Debian 11 (Bullseye) :

~~~
# apt install php php-curl php-gd php-cli php-mysql php-xml php-mbstring
~~~

## Installation

Nous préconisons d'utiliser Matomo avec [Apache-ITK](HowtoApache) et [MariaDB](HowtoMySQL).

Pour [Apache-ITK](HowtoApache) on désactive la gestion des droits pour faciliter les mises à jour :

~~~
AssignUserID example example
~~~

## Déployer

Se connecter avec le compte UNIX dédié, télécharger l'application et le dézipper en supposant que le DocumentRoot soit par exemple `/home/compte_unix/www/` :

~~~
# su - compte_unix
$ wget https://builds.matomo.org/matomo.zip && unzip matomo.zip
$ mv -i matomo www
~~~

Il reste à suivre les instructions de son installation via https://domaine-matomo-instance.com

## Paramètrage

### Forcer le SSL

Pour augmenter d'un cran le niveau de sécurité, on ajoute dans `/home/matomo/www/config/config.ini.php` ces directives :

~~~
[General]
force_ssl = 1
~~~

### Activer l'archivage

Désactiver l'archivage via l'interface web dans : *administration (roue cranté)* -> *Système* -> *paramètres généraux* -> *Paramètres d'archivage* -> mettre sur *Non*

Puis ajouter cette tâche dans la crontab de l'utilisateur :

~~~
MAITO="foo@bar.com"
30 * * * * /usr/bin/php /home/matomo/www/console core:archive --url=https://domaine-matomo-instance.com
~~~
